summaryrefslogtreecommitdiffstats
path: root/libraries/libisoburn
diff options
context:
space:
mode:
author Larry Hajali <larryhaja[at]gmail[dot]com>2010-05-13 00:30:56 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-13 00:30:56 +0200
commita12e85daab88a4c1d2aacb7bc3b6c3d6b2072d8f (patch)
tree45447a35943f9c2979441a7ca2057d445d633069 /libraries/libisoburn
parent2870221b7a5bc5050c6719db2929f3868f34bb0f (diff)
downloadslackbuilds-a12e85daab88a4c1d2aacb7bc3b6c3d6b2072d8f.tar.gz
slackbuilds-a12e85daab88a4c1d2aacb7bc3b6c3d6b2072d8f.tar.xz
libraries/libisoburn: Updated for version 0.4.8
Diffstat (limited to 'libraries/libisoburn')
-rw-r--r--libraries/libisoburn/README18
-rw-r--r--libraries/libisoburn/libisoburn.SlackBuild21
-rw-r--r--libraries/libisoburn/libisoburn.info10
-rw-r--r--libraries/libisoburn/slack-desc2
4 files changed, 30 insertions, 21 deletions
diff --git a/libraries/libisoburn/README b/libraries/libisoburn/README
index 7db621ae44..feaba9bca0 100644
--- a/libraries/libisoburn/README
+++ b/libraries/libisoburn/README
@@ -1,11 +1,11 @@
-libisoburn is a frontend for libraries libburn and libisofs which enables
-creation and expansion of ISO-9660 filesystems on all CD/DVD/BD media
-supported by libburn. This includes media like DVD+RW, which do not support
-multi-session management on media level and even plain disk files or block
-devices. The price for that is thorough specialization on data files in
-ISO-9660 filesystem images. So libisoburn is not suitable for audio (CD-DA)
-or any other CD layout which does not entirely consist of ISO-9660 sessions.
-There is a comand line and dialog application xorriso which allows to use
+libisoburn is a frontend for libraries libburn and libisofs which enables
+creation and expansion of ISO-9660 filesystems on all CD/DVD/BD media
+supported by libburn. This includes media like DVD+RW, which do not support
+multi-session management on media level and even plain disk files or block
+devices. The price for that is thorough specialization on data files in
+ISO-9660 filesystem images. So libisoburn is not suitable for audio (CD-DA)
+or any other CD layout which does not entirely consist of ISO-9660 sessions.
+There is a comand line and dialog application xorriso which allows to use
large parts of libisoburn's feature set.
-Requirements: libisofs and libburn
+Requirements: libisofs and libburn (both available at slackbuilds.org)
diff --git a/libraries/libisoburn/libisoburn.SlackBuild b/libraries/libisoburn/libisoburn.SlackBuild
index bb7db9d323..1cf5c46b44 100644
--- a/libraries/libisoburn/libisoburn.SlackBuild
+++ b/libraries/libisoburn/libisoburn.SlackBuild
@@ -1,11 +1,9 @@
#!/bin/sh
-
# Slackware build script for libisoburn
-
# Written by Larry Hajali <larryhaja[at]gmail[dot]com.
PRGNAM=libisoburn
-VERSION=${VERSION:-0.3.0}
+VERSION=${VERSION:-0.4.8}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -17,10 +15,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -42,17 +43,23 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--mandir=/usr/man \
--docdir=/usr/doc/$PRGNAM-$VERSION \
--enable-static=no \
+ --enable-debug=no \
+ --disable-dependency-tracking \
+ --enable-libdir-pkgconfig \
--build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : |
+ xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man
@@ -63,7 +70,7 @@ make install DESTDIR=$PKG
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
- AUTHORS CONTRIBUTORS COPYING COPYRIGHT INSTALL README TODO \
+ AUTHORS COPYING COPYRIGHT INSTALL README TODO \
$PKG/usr/doc/$PRGNAM-$VERSION
mv xorriso/README $PKG/usr/doc/$PRGNAM-$VERSION/README.xorriso
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
@@ -72,4 +79,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libisoburn/libisoburn.info b/libraries/libisoburn/libisoburn.info
index eb81a1244e..99b6733d2e 100644
--- a/libraries/libisoburn/libisoburn.info
+++ b/libraries/libisoburn/libisoburn.info
@@ -1,8 +1,10 @@
PRGNAM="libisoburn"
-VERSION="0.3.0"
+VERSION="0.4.8"
HOMEPAGE="http://libburnia-project.org/wiki/Libisoburn"
-DOWNLOAD="http://files.libburnia-project.org/releases/libisoburn-0.3.0.pl00.tar.gz"
-MD5SUM="3db196f932ae2ef50d82eb6c8f8a1548"
+DOWNLOAD="http://files.libburnia-project.org/releases/libisoburn-0.4.8.pl00.tar.gz"
+MD5SUM="eb679167c1af0b8894de5e2ec5ad33fd"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="Larry Hajali"
EMAIL="larryhaja[at]gmail[dot]com"
-APPROVED="rworkman"
+APPROVED="Erik Hanson"
diff --git a/libraries/libisoburn/slack-desc b/libraries/libisoburn/slack-desc
index e4829a4897..fd1f3ec88f 100644
--- a/libraries/libisoburn/slack-desc
+++ b/libraries/libisoburn/slack-desc
@@ -16,4 +16,4 @@ libisoburn: plain disk files or block devices. The price for that is thorough
libisoburn: specialization on data files in ISO-9660 filesystem images.
libisoburn:
libisoburn: Homepage: http://libburnia-project.org/wiki/Libisoburn
-libisoburn:
+libisoburn: \ No newline at end of file